<?php
/**
* Image Caption Hover Shortcode Class
*/
class Image_Caption_Hover_SC
{
	
	function __construct(){
		add_shortcode( 'ichcpt', array($this, 'render_ich_shortcode') );
        add_action( 'ich_render_image_box', array($this, 'render_image_box'), 10, 3 );
        add_action( 'ich_start_link', array($this, 'render_start_link'), 10, 2 );
        add_action( 'ich_end_link', array($this, 'render_end_link'), 10, 1 );
        add_action( 'ich_caption_text', array($this, 'render_ich_caption_text'), 10, 2 );
	}

    function render_ich_shortcode($atts){
        $ich_settings = get_post_meta( $atts['id'], 'ichcpt_settings', true );
        $ich_images = get_post_meta( $atts['id'], 'ich_cpt', true );
        
        ob_start();
            include ICH_PATH.'/render/render_shortcode.php';
        return ob_get_clean();
    }

    function render_image_box($box_id, $key, $data){
        $ich_settings = get_post_meta( $box_id, 'ichcpt_settings', true );
        $padding = (isset($ich_settings['col_space'])) ? $ich_settings['col_space'] : '20px' ;
        extract($data);

        $border_width = '';
        $border_style = '';
        $border_color = '';

        if (isset($borderwidth) && $borderwidth != '') {
            $border_width = $borderwidth;
            $border_style = $borderstyle;
            $border_color = $bordercolor;
        }
        $box_shadow = (isset($boxshadow) && $boxshadow != '') ? $boxshadow : '' ;
        $border_radius = (isset($borderradius) && $borderradius != '') ? $borderradius : '' ;
        $hasAudio = '';
        $audioClass = '';
        if (isset($audio) && $audio != '') {
            $hasAudio = 'data-audio='.$audio;
            $audioClass = 'playaudio';
        }

        if (strpos($hovereffect, 'square') !== false || strpos($hovereffect, 'circle') !== false) {    
            include ICH_PATH.'/render/templates/ihover.php';
        } elseif (strpos($hovereffect, 'break-pieces') !== false) {
            include ICH_PATH.'/render/templates/break-pieces.php';
        } elseif ($hovereffect == 'visible-image-title-caption-switch') {
            include ICH_PATH.'/render/templates/visible-image-title-caption-switch.php';
        } elseif ($hovereffect == 'static-caption-under-image') {
            include ICH_PATH.'/render/templates/static-caption-under-image.php';
        } elseif ($hovereffect == 'scroll-image-bottom-caption' || $hovereffect == 'scroll-image-top-caption') {
            include ICH_PATH.'/render/templates/scroll-image.php';
        } else {
            include ICH_PATH.'/render/templates/default.php';
        }

        include ICH_PATH.'/render/styles.php';
    }

    function has_info_class($hovereffect){
        $hoverEffects = array(
            'circle effect5',
            'circle effect13 from_left_and_right',
            'circle effect13 top_to_bottom',
            'circle effect13 bottom_to_top',
            'circle effect18 bottom_to_top',
            'circle effect18 left_to_right',
            'circle effect18 right_to_left',
            'circle effect18 top_to_bottom',
            'circle effect20 top_to_bottom',
            'circle effect20 bottom_to_top',

            'square effect9 bottom_to_top',
            'square effect9 left_to_right',
            'square effect9 right_to_left',
            'square effect9 top_to_bottom',
        );

        if (in_array($hovereffect, $hoverEffects)) {
            return true;           
        } else {
            return false;
        }
    }

    function render_start_link($box_id, $data){
        $settings = get_post_meta( $box_id, 'ichcpt_settings', true );
        $popup = (isset($settings['lightbox_type']) && $settings['lightbox_type'] == 'magnific') ? 'rel="magnific"' : 'rel="prettyPhoto['.$box_id.']"' ;
        if ((isset($data['captionlink']) && $data['captionlink'] != '') || isset($data['lightbox'])) {
            $popup =  (isset($data['lightbox'])) ? $popup : '' ;
            $opouplink = ($data['captionlink'] != '') ? $data['captionlink'] : $data['imageurl'] ;
            echo   '<a '.$popup.' href="'.$opouplink.'" target="'.$data['captiontarget'].'">';
        }
    }

    function render_end_link($data){
        if ((isset($data['captionlink']) && $data['captionlink'] != '') || isset($data['lightbox'])) {
            echo   '</a>';
        }
    }

    function render_ich_caption_text($box_id, $data){
        $ich_settings = get_post_meta( $box_id, 'ichcpt_settings', true );
        ?>
            <<?php echo esc_attr( $data['captionwrap'] ); ?> class="centered-text">
                <?php
                    if (isset($ich_settings['caption_shortcodes'])) {
                        echo apply_filters('the_content', $data['captiontext']);
                    } else {
                        echo stripcslashes($data['captiontext']);
                    }
                 ?>
            </<?php echo esc_attr( $data['captionwrap'] ); ?>>
        <?php
    }
}
?>