<?php
    $all_fields = array(
        
        array(
            'type' => 'image', 
            'name' => 'imageurl', 
            'title' => esc_html__( 'Image URL', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide image url, you can also use media library to insert url', 'image-caption-hover' ), 
        ),

        array(
            'type' => 'hovereffects',
            'name' => 'hovereffect',
            'title' => esc_html__( 'Hover Effect', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose hover style', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text', 
            'name' => 'imagetitle', 
            'title' => esc_html__( 'Title', 'image-caption-hover' ),
            'help' => esc_html__( 'It will be used as title attribute of image tag. Square and Circle Effects will take it as heading', 'image-caption-hover' ), 
        ),         

        array(
            'type' => 'text', 
            'name' => 'imagealt', 
            'title' => esc_html__( 'Alternate Text', 'image-caption-hover' ),
            'help' => esc_html__( 'It will be used as alt attribute of image tag', 'image-caption-hover' ), 
        ),

        array(
            'type' => 'caption',
            'name' => 'captiontext',
            'title' => esc_html__( 'Caption', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide caption text here, you can also use rich editor to insert caption. It should be plain text if you are using circle or square effects', 'image-caption-hover' ),
        ),
        
        array(
            'type' => 'text',
            'name' => 'boxwidth',
            'title' => esc_html__( 'Width', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide width for image Eg: 150px or 50%. Leave blank for responsive', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'boxheight',
            'title' => esc_html__( 'Height', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide height for image Eg: 150px or 50%. Leave blank for responsive', 'image-caption-hover' ), 
        ),


        array(
            'type' => 'select',
            'name' => 'captionwrap',
            'options' => array(
                'div' => esc_html__( 'None', 'image-caption-hover' ),
                'h1' => esc_html__( 'Heading 1', 'image-caption-hover' ),
                'h2' => esc_html__( 'Heading 2', 'image-caption-hover' ),
                'h3' => esc_html__( 'Heading 3', 'image-caption-hover' ),
                'h4' => esc_html__( 'Heading 4', 'image-caption-hover' ),
                'h5' => esc_html__( 'Heading 5', 'image-caption-hover' ),
                'h6' => esc_html__( 'Heading 6', 'image-caption-hover' ),
            ),
            'title' => esc_html__( 'Caption Wrapper', 'image-caption-hover' ),
            'help' => esc_html__( 'Wrap caption in markup. Please select none if you are using editor', 'image-caption-hover' ),
        ),

        array(
            'type' => 'select',
            'name' => 'captionalignment',
            'options' => array(
                'auto' => esc_html__( 'Auto', 'image-caption-hover' ),
                'center' => esc_html__( 'Center', 'image-caption-hover' ),
                'right' => esc_html__( 'Right', 'image-caption-hover' ),
                'left' => esc_html__( 'Left', 'image-caption-hover' ),
                'justify' => esc_html__( 'Justify', 'image-caption-hover' ),
            ),
            'title' => esc_html__( 'Caption Alignment', 'image-caption-hover' ),
            'help' => esc_html__( 'Wrap caption in markup. Please select auto if you are using editor', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text', 
            'name' => 'title_font_size',
            'title' => esc_html__( 'Title Font Size', 'image-caption-hover' ),
            'help' => esc_html__( 'Size of title in px Eg: 20px. Only for Square and Circle Effects', 'image-caption-hover' ), 
            'c_class' => 'if-square-circle',
        ),

        array(
            'type' => 'select',
            'name' => 'captionoverlay',
            'options' => array(
                'full' => esc_html__( 'Full', 'image-caption-hover' ),
                'top' => esc_html__( 'Top', 'image-caption-hover' ),
                'bottom' => esc_html__( 'Bottom', 'image-caption-hover' ),
            ),
            'title' => esc_html__( 'Overlay Position', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose caption overlay position', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'captionlink',
            'title' => esc_html__( 'Link To', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide URL here or leave blank to disable link', 'image-caption-hover' ),
        ),

        array(
            'type' => 'select',
            'name' => 'captiontarget',
            'options' => array(
                '_blank' => esc_html__( 'New Window', 'image-caption-hover' ),
                '_self' => esc_html__( 'Same Window', 'image-caption-hover' ),
                '_parent' => esc_html__( 'Parent frameset', 'image-caption-hover' ),
                '_top' => esc_html__( 'Full body of the window', 'image-caption-hover' ),
            ),
            'title' => esc_html__( 'Link Target', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose to open link in new tab or same', 'image-caption-hover' ),
        ),

        array(
            'type' => 'checkbox',
            'name' => 'lightbox',
            'title' => esc_html__( 'LightBox', 'image-caption-hover' ),
            'help' => esc_html__( 'It will open above link in popup on clicking', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'animationspeed',
            'title' => esc_html__( 'Animation Speed', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide animation speed Eg: 500ms or 1s', 'image-caption-hover' ),
        ),

        array(
            'type' => 'audio',
            'name' => 'audio',
            'title' => esc_html__( 'Audio', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide mp3 music to play on hover', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'borderwidth',
            'title' => esc_html__( 'Border Width', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide border width Eg: 5px, leave blank to disable border', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'borderradius',
            'title' => esc_html__( 'Border Radius', 'image-caption-hover' ),
            'help' => esc_html__( 'Provide radius for border eg: 5px or 50%', 'image-caption-hover' ),
        ),


        array(
            'type' => 'select',
            'name' => 'borderstyle',
            'options' => array(
                'solid' => esc_html__( 'Solid', 'image-caption-hover' ),
                'dotted' => esc_html__( 'Dotted', 'image-caption-hover' ),
                'dashed' => esc_html__( 'Dashed', 'image-caption-hover' ),
                'double' => esc_html__( 'Double', 'image-caption-hover' ),
                'groove' => esc_html__( 'Groove', 'image-caption-hover' ),
                'ridge' => esc_html__( 'Ridge', 'image-caption-hover' ),
                'inset' => esc_html__( 'Inset', 'image-caption-hover' ),
                'outset' => esc_html__( 'Outset', 'image-caption-hover' ),
            ),                
            'title' => esc_html__( 'Border Type', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose border type', 'image-caption-hover' ),
        ),

        array(
            'type' => 'text',
            'name' => 'boxshadow',
            'title' => esc_html__( 'Shadow', 'image-caption-hover' ),
            'help' => esc_html__( 'Shadow for images', 'image-caption-hover' ),
        ),

        array(
            'type' => 'color',
            'name' => 'titlecolor',
            'title' => esc_html__( 'Title Text Color', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose text color for title. Only for Square and Circle Effects', 'image-caption-hover' ),
            'c_class' => 'if-square-circle',
        ),

        array(
            'type' => 'color',
            'name' => 'title_bg_color',
            'title' => esc_html__( 'Title Background Color', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose background color for title. Only for Square and Circle Effects', 'image-caption-hover' ),
            'c_class' => 'if-square-circle',
        ),        

        array(
            'type' => 'color',
            'name' => 'captioncolor',
            'title' => esc_html__( 'Caption Text Color', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose text color for caption', 'image-caption-hover' ),
        ),

        array(
            'type' => 'color',
            'name' => 'captionbg',
            'title' => esc_html__( 'Background Color', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose background color for caption', 'image-caption-hover' ),
        ),

        array(
            'type' => 'color',
            'name' => 'bordercolor',
            'title' => esc_html__( 'Border Color', 'image-caption-hover' ),
            'help' => esc_html__( 'Choose color for border', 'image-caption-hover' ),
        ),        
    );
?>