<div class="wrap ich-global-settings">
	<h2><?php esc_html_e( 'Image Caption Hover Settings', 'image-caption-hover' ); ?></h2>
	<?php 
	    global $wp_roles;
	    $roles = $wp_roles->get_names();
	    $saved_role = get_option( 'wcp_ich_admin_settings' );
	    $saved_all_settings = get_option( 'wcp_ich_admin_settings_all' );
	?>
	<table class="wp-list-table widefat">
		<tr>
			<th><?php esc_html_e( 'Who Can Edit?', 'image-caption-hover' ); ?></th>
			<td>
				<select class="who_can_edit widefat">
					<?php 
						foreach ($roles as $key => $role) { ?>
						<option value="<?php echo esc_attr( $key ); ?>" <?php selected( $saved_role, $key ); ?>><?php echo esc_attr( $role ); ?></option>
					<?php } ?>
				</select>
			</td>
			<td>
				<p class="description"><?php esc_html_e( 'Select the Role who can manage Image Caption Hover options.', 'image-caption-hover' ); ?>
				<a target="_blank" href="https://codex.wordpress.org/Roles_and_Capabilities#Capability_vs._Role_Table">Help</a>
				</p>
			</td>
		</tr>
		<tr>
			<th><?php esc_html_e( 'Touch Devices Behavior for Links', 'image-caption-hover' ); ?></th>
			<td>
				<select class="touch_behavior widefat">
					<option value="default" <?php echo (isset($saved_all_settings['touch']) && $saved_all_settings['touch'] == 'default') ? 'selected' : '' ; ?>><?php esc_html_e( 'Default', 'image-caption-hover' ); ?></option>
					<option value="first_hover" <?php echo (isset($saved_all_settings['touch']) && $saved_all_settings['touch'] == 'first_hover') ? 'selected' : '' ; ?>><?php esc_html_e( 'First Tap Hover, Second Tap Navigate', 'image-caption-hover' ); ?></option>
				</select>				
			</td>
			<td>
				<p class="description">
					<?php esc_html_e( 'Here you can control touch behavior for links', 'image-caption-hover' ); ?>
				</p>
			</td>
		</tr>
	</table>
	<br>
	<button class="button-primary wcp-save"><?php esc_html_e( 'Save Settings', 'image-caption-hover' ); ?></button>
	<img src="<?php echo ICH_URL.'/assets/images/ajax-loader.gif' ?>" alt="" class="nm-loading">
	<span class="nm-saved"><?php esc_html_e( 'Changes Saved', 'image-caption-hover' ); ?>!</span>
</div>