<?php
foreach ($all_fields as $field) {

    $field_name = 'ich_cpt['.$key.']['.$field['name'].']';
    $field_id = $field['name'].$key;
    $field_value = (isset($saved_opt[$field['name']])) ? $saved_opt[$field['name']] : '' ;            
    $disabled = (isset($field['disabled']) && $field['disabled'] == 'true') ? '' : '' ;

    switch ($field['type']) {

        case 'image': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <div class="input-group">
                        <input type="text" class="form-control input-sm image-url" id="<?php echo esc_attr( $field_id ); ?>"
                        name="<?php echo esc_attr( $field_name ); ?>" value="<?php echo esc_attr( $field_value ); ?>">
                        <span class="input-group-btn">
                            <button class="btn btn-info btn-sm upload_image_button" data-title="<?php esc_html_e( 'Image', 'image-caption-hover' ); ?>"
                data-btntext="<?php esc_html_e( 'Select', 'image-caption-hover' ); ?>">
                                <?php esc_html_e( 'Media', 'image-caption-hover' ); ?></button>
                        </span>
                    </div>
                </div>
            </div>
            <?php break;

        case 'audio': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <div class="input-group">
                        <input type="text" class="form-control input-sm audio-url" id="<?php echo esc_attr( $field_id ); ?>"
                        name="<?php echo esc_attr( $field_name ); ?>" value="<?php echo esc_attr( $field_value ); ?>">
                        <span class="input-group-btn">
                            <button class="btn btn-info btn-sm upload_image_button audiobtn" data-title="<?php esc_html_e( 'Audio', 'image-caption-hover' ); ?>"
                data-btntext="<?php esc_html_e( 'Select', 'image-caption-hover' ); ?>">
                                <?php esc_html_e( 'Media', 'image-caption-hover' ); ?></button>
                        </span>
                    </div>
                </div>
            </div>
            <?php break;

        case 'text': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <input type="text" <?php echo esc_attr( $disabled ); ?> name="<?php echo esc_attr( $field_name ); ?>" class="form-control input-sm" id="<?php echo esc_attr( $field_id ); ?>" value="<?php echo esc_attr( $field_value ); ?>">
                </div>
            </div>
            <?php break;

        case 'caption': ?>
            <div class="col-sm-12 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <div class="input-group">
                        <textarea id="<?php echo esc_attr( $field_id ); ?>" name="<?php echo esc_attr( $field_name ); ?>" class="form-control custom-control" rows="2"><?php echo stripcslashes($field_value); ?></textarea>     
                        <span class="input-group-addon btn btn-info ich-open-editor"><?php esc_html_e( 'Editor', 'image-caption-hover' ); ?></span>
                    </div>
                </div>
            </div>
            <?php break;

        case 'select': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <select name="<?php echo esc_attr( $field_name ); ?>" id="<?php echo esc_attr( $field_id ); ?>" class="form-control input-sm">
                        <?php
                        if (isset($field['options']) && $field['options'] != '') {
                            foreach ($field['options'] as $val => $label) {
                                $selected = ($field_value == $val) ? 'selected' : '' ;
                                $disabled = (strpos($val, 'disabled')) ? 'disabled' : '' ;

                                echo '<option value="'.$val.'" '.$selected.' '.$disabled.'>'.$label.'</option>';
                            }
                        }
                        ?>
                    </select>
                </div>
            </div>
            <?php break;

        case 'color': ?>
            <div class="col-sm-3 text-center <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <span class="wcp-color-wrap">
                        <input type="text" name="<?php echo esc_attr( $field_name ); ?>" id="<?php echo esc_attr( $field_id ); ?>" value="<?php echo esc_attr( $field_value ); ?>" class="colorpicker" data-alpha="true">
                    </span>
                </div>
            </div>
            <?php break;
            
        case 'checkbox': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <div class="checkbox">
                        <label>
                            <?php $checked = ($field_value != '') ? 'checked' : '' ; ?>
                            <input type="checkbox" name="<?php echo esc_attr( $field_name ); ?>" id="<?php echo esc_attr( $field_id ); ?>" <?php echo esc_attr( $checked ); ?>>
                            <?php esc_html_e( 'Enable', 'image-caption-hover' ); ?>
                        </label>
                    </div>
                </div>
            </div>
            <?php break;

        case 'hovereffects': ?>
            <div class="col-sm-6 <?php echo (isset($field['c_class'])) ? $field['c_class'] : '' ; ?>">
                <div class="form-group">
                    <label for="<?php echo esc_attr( $field_id ); ?>">
                        <?php echo esc_attr( $field['title'] ); ?>
                        <span title="<?php echo esc_attr( $field['help'] ); ?>" class="glyphicon glyphicon-question-sign"></span>
                    </label>
                    <select name="<?php echo esc_attr( $field_name ); ?>" id="<?php echo esc_attr( $field_id ); ?>" class="form-control input-sm">
                        <?php
                        $free_hovers = $this->get_free_effects();
                        foreach ($free_hovers as $className) {
                            $selected = ($field_value == $className) ? 'selected' : '' ; ?>
                            <option value="<?php echo esc_attr( $className ); ?>" <?php echo esc_attr( $selected ); ?>><?php echo ucwords(str_replace("-"," ",$className)) ?></option>
                        <?php }
                        $free_ihovers = $this->get_ihover_effects();
                        foreach ($free_ihovers as $className) {
                            $selected = ($field_value == $className) ? 'selected' : '' ; ?>
                            <option value="<?php echo esc_attr( $className ); ?>" <?php echo esc_attr( $selected ); ?>><?php echo ucwords(str_replace("_"," ",$className)) ?></option>
                        <?php }
                        ?>
                    </select>
                </div>
            </div>
            <?php break;
        
        default:
            
            break;
    }
}
?>