<?php
	global $post;
	$ichcpt_settings = get_post_meta($post->ID, 'ichcpt_settings', true);
	// print_r($ichcpt_settings);
?>
<div class="ich-settings-main-wrap">
	<div class="form-horizontal">
		<div class="form-group">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Display As', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Choose the layout you want to use for images appearance', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<label>
					<input name="ichcpt_settings[carousel]" class="img_layout" value="grid" type="radio" <?php echo (isset($ichcpt_settings['carousel']) && $ichcpt_settings['carousel'] == 'grid') ? 'checked' : '' ; ?>>
					<?php esc_html_e( 'Grid', 'image-caption-hover' ); ?>
				</label>
				&nbsp;&nbsp;&nbsp;
				<label>
					<input name="ichcpt_settings[carousel]" class="img_layout" value="carousel" type="radio" <?php echo (isset($ichcpt_settings['carousel']) && $ichcpt_settings['carousel'] == 'carousel') ? 'checked' : '' ; ?>>
					<?php esc_html_e( 'Slider Carousel', 'image-caption-hover' ); ?>
				</label>				
			</div>
		</div>
		<div class="form-group if-grid">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Grid Display', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Images in each row in grid', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<select name="ichcpt_settings[columns]" class="form-control">
					<?php for($i = 1; $i <= 12; $i++) { ?>
	                <option value="<?php echo esc_attr( $i ); ?>" <?php if(isset($ichcpt_settings['columns']) && $ichcpt_settings['columns'] == $i){echo 'selected';} ?>><?php echo esc_attr( $i ); ?></option>
	                <?php } ?>
				</select>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Margin', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Space or gap between images. Eg: 10px', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<input name="ichcpt_settings[col_space]" type="text" value="<?php echo (isset($ichcpt_settings['col_space'])) ? $ichcpt_settings['col_space'] : '10px' ; ?>" class="form-control">
			</div>
		</div>
		<div class="form-group if-grid">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Bootstrap Column Class', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Eg: col-md-3, Leave blank if not sure (It will use the bootstrap grid system)', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<input name="ichcpt_settings[bs_col]" type="text" value="<?php echo (isset($ichcpt_settings['bs_col'])) ? $ichcpt_settings['bs_col'] : '' ; ?>" class="form-control">
			</div>
		</div>
		<div class="form-group if-grid">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Masonry Grid', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Check this option if you have images of different sizes', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<label>
					<input name="ichcpt_settings[masonry_grid]" type="checkbox" <?php echo (isset($ichcpt_settings['masonry_grid'])) ? 'checked' : '' ; ?>>
					<?php esc_html_e( 'Enable', 'image-caption-hover' ); ?>
				</label>				
			</div>
		</div>
		<div class="form-group if-grid">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Equal Heights', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Check to enable equal height of each column', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<label>
					<input name="ichcpt_settings[equal_height]" type="checkbox" <?php echo (isset($ichcpt_settings['equal_height'])) ? 'checked' : '' ; ?>>
					<?php esc_html_e( 'Enable', 'image-caption-hover' ); ?>
				</label>			
			</div>
		</div>


		<div class="form-group if-carousel">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Images in Slider', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Images to show at a time in slider', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<select name="ichcpt_settings[slider_cols]" class="form-control">
					<?php for($i = 1; $i <= 12; $i++) { ?>
	                <option value="<?php echo esc_attr( $i ); ?>" <?php if(isset($ichcpt_settings['slider_cols']) && $ichcpt_settings['slider_cols'] == $i){echo 'selected';} ?>><?php echo esc_attr( $i ); ?></option>
	                <?php } ?>
				</select>
			</div>
		</div>


		<div class="form-group">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Shortcodes in Caption', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Check to enable shortcodes in caption text box', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<label>
					<input name="ichcpt_settings[caption_shortcodes]" type="checkbox" <?php echo (isset($ichcpt_settings['caption_shortcodes'])) ? 'checked' : '' ; ?>>
					<?php esc_html_e( 'Enable', 'image-caption-hover' ); ?>
				</label>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Lightbox Script', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'Choose script to use for popup', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<select name="ichcpt_settings[lightbox_type]" class="form-control">
					<option value="prettyphoto" <?php echo (isset($ichcpt_settings['lightbox_type']) && $ichcpt_settings['lightbox_type'] == 'prettyphoto') ? 'selected' : ''; ?>>PrettyPhoto</option>
					<option value="magnific" <?php echo (isset($ichcpt_settings['lightbox_type']) && $ichcpt_settings['lightbox_type'] == 'magnific') ? 'selected' : ''; ?>>Magnific Popup</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-3 control-label">
				<?php esc_html_e( 'Custom CSS', 'image-caption-hover' ); ?>
				<span title="<?php esc_html_e( 'You can define your own styles here', 'image-caption-hover' ); ?>" class="glyphicon glyphicon-question-sign"></span>
			</label>
			<div class="col-sm-9">
				<textarea name="ichcpt_settings[custom_css]" class="form-control"><?php echo (isset($ichcpt_settings['custom_css'])) ? stripcslashes($ichcpt_settings['custom_css']) : '' ; ?></textarea>
			</div>
		</div>

	</div>
</div>