<?php
/**
 * Rendering Carousel
 */

// Styles
wp_enqueue_style( 'ich-grid', ICH_URL. '/assets/css/simplegrid.css');
wp_enqueue_style( 'ihover', ICH_URL .'/assets/css/ihover.min.css' );
wp_enqueue_style( 'ich-caption-styles', ICH_URL .'/assets/css/style.css' );

if (isset($ich_settings['lightbox_type']) && $ich_settings['lightbox_type'] == 'magnific') {
	wp_enqueue_style( 'magnific-popup', ICH_URL. '/assets/css/magnific-popup.css');
	wp_enqueue_script( 'magnific-popup', ICH_URL. '/assets/js/jquery.magnific-popup.min.js', array('jquery'));
	wp_enqueue_script( 'ich-trigger-mp', ICH_URL . '/assets/js/trigger-mp.js', array('jquery') );
	
} else {
	wp_enqueue_style( 'prettyphoto', ICH_URL. '/assets/css/prettyPhoto.css');
	wp_enqueue_script( 'prettyphoto', ICH_URL. '/assets/js/jquery.prettyPhoto.js', array('jquery'));
	wp_enqueue_script( 'ich-trigger-pp', ICH_URL . '/assets/js/trigger-pp.js', array('jquery') );
}

// Pretty Photo

// Scripts
wp_enqueue_script( 'ich-caption-scripts', ICH_URL . '/assets/js/script.js', array('jquery') );
$admin_settings = get_option( 'wcp_ich_admin_settings_all' );
if (!$admin_settings) {
	$admin_settings = array(
		'role' => 'administrator',
		'touch' => 'default',
	);
}
wp_localize_script( 'ich-caption-scripts','wcp_all_settings', $admin_settings );

if (isset($ich_settings['carousel']) && $ich_settings['carousel'] == 'carousel') {

	$padding = (isset($ich_settings['col_space'])) ? $ich_settings['col_space'] : '20px' ;
	wp_enqueue_style( 'dashicons' );	
    wp_enqueue_style( 'ich-slider', ICH_URL. '/assets/css/slider.css');
    wp_enqueue_script( 'slick', ICH_URL. '/assets/js/slick.min.js', array('jquery'));
    wp_enqueue_script( 'ich-slider-trigger', ICH_URL. '/assets/js/trigger-carousel.js', array('jquery'));	

    include ICH_PATH.'/render/render-carousel.php';

} else {

	// Equal Height
	if (isset($ich_settings['equal_height']) && $ich_settings['equal_height'] == 'on') {
		wp_enqueue_script( 'match-height', ICH_URL . '/assets/js/match-height.js', array('jquery') );
		wp_enqueue_script( 'ich-trigger-height', ICH_URL . '/assets/js/trigger-height.js', array('jquery') );
	}
	
	if (isset($ich_settings['masonry_grid']) && $ich_settings['masonry_grid'] == 'on') {
		wp_enqueue_script( 'jquery-masonry');
		wp_enqueue_script( 'ich-trigger-masonry', ICH_URL . '/assets/js/trigger-masonry.js', array('jquery') );
	}

    include ICH_PATH.'/render/render-grid.php';
}

?>

<div class="clearfix"></div>

<?php if (isset($ich_settings['custom_css']) && $ich_settings['custom_css'] != '') { ?>
    <style>
        <?php echo stripcslashes($ich_settings['custom_css']); ?>
    </style>
<?php } ?>